Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01448 DIP/Input Minor Have not tried Feb 29, 2008, 04:24 Jul 24, 2008, 08:57
Tester -Misc Reporters- View Status Public Platform
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver mcr.cpp
Version 0.123u2 Fixed in Version 0.126u2 Build
Summary 01448: twotiger: If you have your controller centered, it is in fact tilted slightly to the right.
Description If you have your controller centered, it is in fact tilted slightly to the right. It appears that the controller "auto-centers" to the wrong value. In an older version of MAME, this worked and the range of values was 0-127?

Tafoid: Input problems (drifting right) - Regression 0.98u1

The original twotiger set from earlier MAME (0.98 and earlier) is what is now "twotigrc", the Tron <> Two Tiger Conversion Kit. This seems to work fine as you described with 0-127 value movement with no auto-centering [as tried in service mode].

The current "twotiger" set is the dedicated cab (formerly twotigra), though the inputs are likely not correct as no one has gotten their hands on the original owners manual for it (only the conversion kit). For what it's worth.. the pre-MAME 0.99 version of the current twotiger set (twotigra) controlled correctly as far as I could tell and was set up as a digital controller (left and right).
Steps To Reproduce
Additional Information Posted by fsk
Flags
Regression Version 0.98u1
Affected Sets / Systems twotiger
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.01713
etabeta
Developer
Jul 19, 2008, 15:09
The drift disappears setting the center to a value between 0x64 and 0x69.

I've just submitted a patch for this, but I leave the bug open while waiting for a confirmation that it was the correct way to fix the issue
User avatar
No.01767
aaron
Developer
Jul 24, 2008, 08:57
Fixed by Fabio Priuli